# spec file for package nodejs-nodejs-fs-vacuum

%global npmname fs-vacuum
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-fs-vacuum
Version:        1.2.5
Release:        0%{?dist}
Summary:        recursively remove empty directories -- to a point
Url:            https://github.com/npm/fs-vacuum
Source0:        http://registry.npmjs.org/fs-vacuum/-/fs-vacuum-1.2.5.tgz
License:        ISC

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(mkdirp)
BuildRequires: npm(tap)
BuildRequires: npm(tmp)
%endif

BuildRequires: npm(graceful-fs)
BuildRequires: npm(path-is-inside)
BuildRequires: npm(rimraf)

Requires: npm(graceful-fs)
Requires: npm(path-is-inside)
Requires: npm(rimraf)

%description
recursively remove empty directories -- to a point

%prep
%setup -q -n package

%{nodejs_fixdep} graceful-fs
%{nodejs_fixdep} path-is-inside
%{nodejs_fixdep} rimraf

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fs-vacuum

cp -pr package.json vacuum.js \
	%{buildroot}%{nodejs_sitelib}/fs-vacuum

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/fs-vacuum

%doc README.md
#%license LICENSE

%changelog
